ghashiter Struct Reference
adt ghash: Generic hash tables.

`#include <ghash.h>`

## Data Fields

const struct ghash * | ghashp
unsigned | index
void * | entry

## Detailed Description

The iterator data necessary to loop over a `ghash` table.

Examples:
  adt/ghash_test.c.

## Field Documentation

## entry

void* ghashiter::entry

A pointer to the current entry, for convenience.

## ghashp

const struct ghash* ghashiter::ghashp

A pointer to the source `ghash` table.

Referenced by ghashiter_first(), and ghashiter_valid().

## index

unsigned ghashiter::index

The index of the current entry.

Referenced by ghashiter_next(), and ghashiter_valid().

The documentation for this struct was generated from the following file:

- ghash.h